package ctbrec.ui.sites.flirt4free;

import java.io.IOException;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import ctbrec.sites.ConfigUI;
import ctbrec.sites.flirt4free.Flirt4Free;
import ctbrec.ui.TabProvider;
import ctbrec.ui.sites.AbstractSiteUi;

public class Flirt4FreeSiteUi extends AbstractSiteUi {

    private static final transient Logger LOG = LoggerFactory.getLogger(Flirt4FreeSiteUi.class);
    private Flirt4Free flirt4Free;
    private Flirt4FreeTabProvider tabProvider;

    public Flirt4FreeSiteUi(Flirt4Free flirt4Free) {
        this.flirt4Free = flirt4Free;
        tabProvider = new Flirt4FreeTabProvider(flirt4Free);
        //configUi = new LiveJasminConfigUi(liveJasmin);
    }

    @Override
    public TabProvider getTabProvider() {
        return tabProvider;
    }

    @Override
    public ConfigUI getConfigUI() {
        return null;
    }

    @Override
    public synchronized boolean login() throws IOException {
        return false;
    }
}
